# ossutil

阿里oss云存储命令行工具，支持 windows，linux


## Usage

```
# 配置
./ossutil config

./ossutil ls -a

# 单文件
./ossutil cp localfile oss://bucket

# 文件夹，多文件, 文件名.apk结尾，不含debug的文件, --update 增量更新
ossutil cp -r --include "*.apk" --exclude "*debug*" --update build/app/outputs/flutter-apk/ oss://yoqi-software/develop/flutter_cocktail/20231111-3f7239b/

# 只下载当前文件夹，不含子文件夹
./ossutil64 cp oss://examplebucket/destfolder/ localfolder/ --only-current-dir -r

# 限速
./ossutil64 cp oss://examplebucket/destfolder/examplefile.txt  localfolder/ --maxdownspeed 1024

# 只下载前20个文件
./ossutil64 cp oss://examplebucket/destfolder/examplefile.txt localfolder/  --range=10-20
Succeed: Total num: 1, size: 11. OK num: 1(download 1 objects).
```


## Develop

```
go build
```